r4i sdhc 1.4.1 firmware relased today

Discussion in 'R4 DS' started by samjef11, Sep 23, 2010.

  1. samjef11
    OP

    samjef11 GBAtemp Fan

    Member
    450
    0
    Mar 28, 2009
  2. Clookster

    Clookster Your Clookster

    Banned
    710
    0
    Aug 20, 2009
    Swaziland
    Suisse Romande
    There is no upgrade. You have to buy a new card.
     
  3. samjef11
    OP

    samjef11 GBAtemp Fan

    Member
    450
    0
    Mar 28, 2009
    edit
     
  4. Clookster

    Clookster Your Clookster

    Banned
    710
    0
    Aug 20, 2009
    Swaziland
    Suisse Romande
    Yes, I read you post. It's not that complicated, you know.

    1.4.1 --> Get a new "R4i SDHC".

    That's what they're saying there.
     
  5. theforbidden1

    theforbidden1 Advanced Member

    Newcomer
    91
    0
    Jul 20, 2007
    Apparently they are working on a way of making and flash program to flash the existing cards. Considering their flashcard is a clone from DSTT it is possible to do it.


    Does any1 remember if there was an way of upgrade old r4i-sdhc (red version) to support firmware 1.4?
     
  6. bloodred

    bloodred GBAtemp Regular

    Member
    204
    0
    Sep 10, 2010
    高浜市
    you know what this means [​IMG]
    we could have a update for the DSTTi
     
  7. samjef11
    OP

    samjef11 GBAtemp Fan

    Member
    450
    0
    Mar 28, 2009
    Possibly but I think the r4i sdhc is a lot different gin the kernel that is used and I'm 100& sure it won't work for the dstt sorry users.
     
  8. theforbidden1

    theforbidden1 Advanced Member

    Newcomer
    91
    0
    Jul 20, 2007
    [/quote]
    Possibly but I think the r4i sdhc is a lot different gin the kernel that is used and I'm 100& sure it won't work for the dstt sorry users.
    [/quote]

    The r4i-sdhc runs on an modified rom version of DSTTi, therefore you can't use DSTTi firmware on r4i-sdhc and vice-versa
     
  9. Dup

    Dup Newbie

    Newcomer
    1
    0
    Sep 25, 2010
    Canada
    Tried the new firmware on my old flashcard, booted one time then wrote someting in the .sav files, then locked the menu with an Update Hardware! [​IMG]
     
  10. Seinto

    Seinto Newbie

    Newcomer
    5
    0
    Sep 15, 2010
    Canada
    Montréal
    I don't understand Dup, which flashcard do u have ? Is it the r4i-sdhc ? And r u now able to play games again ?
     
  11. amptor

    amptor Banned

    Banned
    2,554
    35
    May 2, 2003
    United States
    I'm guessing R4i RTS won't be able to be updated, so same thing have to buy a new card lol. Oh well. Is it really worth updating to 1.4.1? I think all it does is cripples cards. By the time we really need an update (will that ever be?) 3DS will be out already and nobody will care about DS any more right? lol. I tried contacting the company that made R4i RTS and they never reply. That figures too lol.
     
  12. Steinmanj4040

    Steinmanj4040 Newbie

    Newcomer
    1
    0
    Oct 4, 2010
    United States
    I talked to a guy at r4rts.com and he insurced me that 1.4.1 firmware for the r4i sdhc will be up soon and you will not have to buy a new card
     
  13. tfb

    tfb Member

    Newcomer
    12
    0
    Mar 15, 2009
    Netherlands
    Still nothing available on their site.. Isn't there someone trying to hack the official firmware?
     
  14. digipokemaster

    digipokemaster Innocent Uke

    Member
    1,610
    122
    Aug 20, 2009
    United States
    USA
    really is this true? sweet do we know when it go to be up?
     
  15. gtmtnbiker

    gtmtnbiker GBAtemp Regular

    Member
    285
    6
    Oct 16, 2008
    United States
    I didn't see a reply anywhere but it seems that they posted a new firmware on their website for 1.4 users that will fix the issue with DSi 1.4.1. Has anyone tried it yet?
     
  16. VashTS

    VashTS Beat it, son

    Member
    GBAtemp Patron
    VashTS is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    3,944
    717
    Mar 14, 2009
    United States
    Upstate NY
    i wish this were true i have 2 of these cards. they are just using the same kernel for both models of the card.

    i would love to see a flash program to update the bootloader to alex rider.
     
  17. LapisLazuli

    LapisLazuli Thrills, chills, kills!

    Member
    635
    33
    May 23, 2009
    United States
    Twoson
    R4i-SDHC is ridiculous. They are too lazy to go the extra mile so they just release ANOTHER new card. I've already bought their 1.4 card and now I'm just saying "Fuck it, I'm getting a DS2." I've been wanting to get one for a while now but now I'm going to have to either way.
     
  18. ivobhz

    ivobhz Advanced Member

    Newcomer
    71
    1
    Sep 12, 2009
    Brazil
    Belo Horizonte
    so i guess there won't be an update to v1.4 carts will it? my friend has an R4i-sdhc and he updated the DSi firmware wihtout knowing that it would block its FC. Now he can't play...
     
  19. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,128
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    No update.

    Stop buying R4 clones.